> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wavecentric.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# AI Chat Assistant

Interface with the logistics AI assistant to generate inquiries via conversational chat.


## OpenAPI

````yaml POST /api/public/chat
openapi: 3.1.0
info:
  title: WaveCentric AI LooP API
  description: >-
    Comprehensive API for managing omnichannel logistics, inquiries, tasks, and
    data lake operations.
  version: 1.0.0
servers:
  - url: https://ai-loop.alpeadria.com
    description: Production server
security: []
paths:
  /api/public/chat:
    post:
      tags:
        - Public APIs
      summary: AI Chat Assistant
      operationId: post-public-chat
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                message:
                  type: string
                  example: Help me ship machines from Venice to Munich.
              required:
                - message
      responses:
        '200':
          description: Assistant response text
          content:
            application/json:
              schema:
                type: object
                properties:
                  sessionId:
                    type: string
                  message:
                    type: string
                  status:
                    type: string
              examples:
                success:
                  value:
                    sessionId: abc-123
                    message: I can help you with that shipment. Where is the origin?
                    status: active

````